Package org.eclipse.jdt.debug.eval

## Interface ICompiledExpression

    public interface ICompiledExpression

A compiled expression can be compiled once and evaluated multiple times in a runtime context.

Since:
  2.0
See Also:
  `IAstEvaluationEngine`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`String[]` `getErrorMessages()` Returns an array of problem messages.
`Message[]` `getErrors()` Deprecated. use getErrorMessages()
`String` `getSnippet()` Returns the source snippet from which this compiled expression was created.
`boolean` `hasErrors()` Returns whether this compiled expression has any compilation errors.

### Method Detail

#### getSnippet

    String getSnippet()

Returns the source snippet from which this compiled expression was created.

Returns:
  the source snippet from which this compiled expression was created

#### hasErrors

    boolean hasErrors()

Returns whether this compiled expression has any compilation errors.

Returns:
  whether this compiled expression has any compilation errors

#### getErrors

    @Deprecated
    Message[] getErrors()

Deprecated.
use getErrorMessages()
Returns any errors which occurred while creating this compiled expression.

Returns:
  any errors which occurred while creating this compiled expression

#### getErrorMessages

    String[] getErrorMessages()

Returns an array of problem messages. Each message describes a problem that occurred while while creating this compiled expression.

Returns:
  error messages, or an empty array if no errors occurred
Since:
  2.1